% Auxiliary function: it is used by cep.m to plot the true cepstral coeff. 
function plot_c_p(c_p,N,ex)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%input
% c_p       = true cepstral coeff.
% N         = no. of samples 
% ex        = which example
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(2)
subplot(1,5,ex);
plot(log2([1:N/2+1]),abs(c_p(1:N/2+1)));
xlim(log2([1 N/2+1]));
ylim([0 max(abs(c_p(1:N/2+1)))]);
set(gca,'PlotBoxAspectRatio',[1 3 1]);
xlabel('log_2(k)');
if ex==1,
    ylabel('|c_{k-1}|');
end
tit = strcat('Example',num2str(ex));
title(tit);

