% Auxiliary function: it is used by comp_mu_KSF.m and comp_mu_KSF_mod.m
% to plot L versus \mu_{KSF} and k versus \mu_{KSF}
function plot_L_k_versus_mu(L_vec,k_vec,mu_KSF_vec,ex,N)

H=figure;
[minL,ind_minL] = min(L_vec);
subplot(2,1,1);
plot(mu_KSF_vec,log(L_vec),'r');
hold on
plot(mu_KSF_vec(ind_minL),log(minL),'*r');
hold off
xlabel('\mu_{KSF}');
ylabel('ln(L)');
tit = sprintf('EXAMPLE %i (N=%i)',ex,N);
title(tit)
subplot(2,1,2);
plot(mu_KSF_vec,log(k_vec),'k');
hold on
plot(mu_KSF_vec(ind_minL),log(k_vec(ind_minL)),'*k');
hold off
xlabel('\mu_{KSF}');
ylabel('ln(k)');
tit = sprintf('k^*=%i (0<k<N/2+1)',k_vec(ind_minL));
title(tit)
pause
close(H)
