% Auxiliary function: it is used by cep.m to plot the true spectrum
function plot_true_spec(Phi_p,N,ex)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%input
% Ohi_p     = true spectrum
% N         = no. of samples 
% ex        = which example
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(1)
subplot(1,5,ex);
Phi_p0 = flipud([Phi_p(N/2+1:N); Phi_p(1:N/2)]);
% Phi_p0 = fftshift(Phi_p);
freq0 = [-(N/2-1):N/2]/N;
plot(2*pi*freq0,10*log10( Phi_p0));
xlim([-pi pi]);
if ex<3,          %ex1 and ex2
    ylim([-10 10]);
elseif ex==3,     %ex3 
    ylim([-20 40]);
elseif ex==4,     %ex4 
    ylim([-20 20]);
elseif ex==5,     %ex5
    ylim([-15 10]);
end
set(gca,'PlotBoxAspectRatio',[1 3 1]);
xlabel('Frequency');
tit = strcat('Example',num2str(ex));
title(tit);